﻿@model IEnumerable<eCommerce.Services.Model.Transaction>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th class="col-sm-1 text-center">Fecha</th>
            <th class="col-sm-2 text-center">Cliente</th>
            <th class="col-sm-2 text-center">Concepto</th>
            <th class="col-sm-2 text-center">Observaciones</th>
            <th class="col-sm-2 text-center">Importe</th>
            <th class="col-sm-1 text-center">Moneda</th>
            <th class="col-sm-1 text-center">Acción</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td class="text-center">@item.Date.ToShortDateString()</td>
            <td>@(item.OrderId.HasValue ? item.Order.Customer.FullName : item.CustomerId.HasValue ? item.Customer.FullName : string.Empty)</td>
            <td>
                @item.TransactionCategory.Name 
                @(item.PurchaseId.HasValue ? "#" + item.PurchaseId : string.Empty) 
                @(item.OrderId.HasValue ? "#" + item.OrderId : string.Empty)
            </td>
            <td>@Html.DisplayFor(modelItem => item.Observations)</td>
            <td class="text-right">
                @if ((TransactionTypeEnum)item.TransactionTypeId == TransactionTypeEnum.Ingreso)
                {
                    <span class="text-success text-semibold">
                        <i class="icon wb-chevron-up-mini" aria-hidden="true"></i> @string.Format("{0:c2}", item.Amount)
                    </span>
                }
                else
                {
                    <span class="text-danger text-semibold">
                        <i class="icon wb-chevron-down-mini" aria-hidden="true"></i> @string.Format("{0:c2}", item.Amount)
                    </span>
                }
            </td>
            <td class="text-center">@item.Currency.Name</td>
            <td class="actions text-center">
                <a href="/Transactions/TransactionUpdate?Id=@item.TransactionId&AccountId=@item.AccountId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.TransactionId" onclick="fDeleteDialog(@item.TransactionId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
